Get webhook subscriptions
curl --request GET \
--url https://api.smokeball.com/webhooks \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/webhooks"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"accountId": "da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262",
"name": "Listen to matter and contact changes",
"eventTypes": [
"matter.updated",
"contact.created"
],
"eventNotificationUrl": "http://yourdomain.com/notify",
"createdDateUtc": "2022-04-23T14:00:00Z",
"updatedDateUtc": "2022-04-23T14:00:00Z",
"lastUpdated": 637847425252027400
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Webhooks
Get webhook subscriptions
Returns existing webhook subscriptions.
GET
/
webhooks
Get webhook subscriptions
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Response
When request is successful. Returns existing webhook subscriptions.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
āI